# `FFMPEG_jll.jl` (v6.1.2+0)

[![deps](https://juliahub.com/docs/FFMPEG_jll/deps.svg)](https://juliahub.com/ui/Packages/General/FFMPEG_jll/)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/9669e5cfc6ca409e2f67bd72fc6489315e399d6a/F/FFMPEG/FFMPEG/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `FFMPEG_jll.jl` have been built from these sources:

* compressed archive: https://ffmpeg.org/releases/ffmpeg-6.1.2.tar.xz (SHA256 checksum: `3b624649725ecdc565c903ca6643d41f33bd49239922e45c9b1442c63dca4e38`)
* compressed archive: https://github.com/phracker/MacOSX-SDKs/releases/download/10.15/MacOSX10.13.sdk.tar.xz (SHA256 checksum: `a3a077385205039a7c6f9e2c98ecdf2a720b2a819da715e03e0630c75782c1e4`)

## Platforms

`FFMPEG_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `FFMPEG_jll.jl`:

* [`Bzip2_jll`](https://github.com/JuliaBinaryWrappers/Bzip2_jll.jl)
* [`FreeType2_jll`](https://github.com/JuliaBinaryWrappers/FreeType2_jll.jl)
* [`FriBidi_jll`](https://github.com/JuliaBinaryWrappers/FriBidi_jll.jl)
* [`LAME_jll`](https://github.com/JuliaBinaryWrappers/LAME_jll.jl)
* [`Ogg_jll`](https://github.com/JuliaBinaryWrappers/Ogg_jll.jl)
* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`Opus_jll`](https://github.com/JuliaBinaryWrappers/Opus_jll.jl)
* [`PCRE2_jll`](https://github.com/JuliaBinaryWrappers/PCRE2_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libaom_jll`](https://github.com/JuliaBinaryWrappers/libaom_jll.jl)
* [`libass_jll`](https://github.com/JuliaBinaryWrappers/libass_jll.jl)
* [`libfdk_aac_jll`](https://github.com/JuliaBinaryWrappers/libfdk_aac_jll.jl)
* [`libvorbis_jll`](https://github.com/JuliaBinaryWrappers/libvorbis_jll.jl)
* [`x264_jll`](https://github.com/JuliaBinaryWrappers/x264_jll.jl)
* [`x265_jll`](https://github.com/JuliaBinaryWrappers/x265_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libavcodec`
* `LibraryProduct`: `libavdevice`
* `LibraryProduct`: `libavfilter`
* `LibraryProduct`: `libavformat`
* `LibraryProduct`: `libavutil`
* `LibraryProduct`: `libpostproc`
* `LibraryProduct`: `libswresample`
* `LibraryProduct`: `libswscale`
* `ExecutableProduct`: `ffmpeg`
* `ExecutableProduct`: `ffprobe`
